FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Enterprise Watch List

 
 
LinkBack Thread Tools
 
Old 03-19-2009, 03:13 PM
 
Default Moderate: ghostscript security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

================================================== ===================
Red Hat Security Advisory

Synopsis: Moderate: ghostscript security update
Advisory ID: RHSA-2009:0345-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2009-0345.html
Issue date: 2009-03-19
CVE Names: CVE-2009-0583 CVE-2009-0584
================================================== ===================

1. Summary:

Updated ghostscript packages that fix multiple security issues are now
available for Red Hat Enterprise Linux 3, 4, and 5.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

RHEL Desktop Workstation (v. 5 client) - i386, x86_64
Red Hat Desktop version 3 - i386, x86_64
Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, s390x, x86_64
Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Description:

Ghostscript is a set of software that provides a PostScript(TM)
interpreter, a set of C procedures (the Ghostscript library, which
implements the graphics capabilities in the PostScript language) and
an interpreter for Portable Document Format (PDF) files.

Multiple integer overflow flaws which could lead to heap-based buffer
overflows, as well as multiple insufficient input validation flaws, were
found in Ghostscript's International Color Consortium Format library
(icclib). Using specially-crafted ICC profiles, an attacker could create a
malicious PostScript or PDF file with embedded images which could cause
Ghostscript to crash, or, potentially, execute arbitrary code when opened
by the victim. (CVE-2009-0583, CVE-2009-0584)

All users of ghostscript are advised to upgrade to these updated packages,
which contain a backported patch to correct these issues.

4. Solution:

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

487742 - CVE-2009-0583 ghostscript: Multiple integer overflows in the International Color Consortium Format Library
487744 - CVE-2009-0584 ghostscript: Multiple insufficient upper-bounds checks on certain sizes in the International Color Consortium Format Library

6. Package List:

Red Hat Enterprise Linux AS version 3:

Source:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/ghostscript-7.05-32.1.17.src.rpm

i386:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-devel-7.05-32.1.17.i386.rpm
hpijs-1.3-32.1.17.i386.rpm

ia64:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-7.05-32.1.17.ia64.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.ia64.rpm
ghostscript-devel-7.05-32.1.17.ia64.rpm
hpijs-1.3-32.1.17.ia64.rpm

ppc:
ghostscript-7.05-32.1.17.ppc.rpm
ghostscript-7.05-32.1.17.ppc64.rpm
ghostscript-debuginfo-7.05-32.1.17.ppc.rpm
ghostscript-debuginfo-7.05-32.1.17.ppc64.rpm
ghostscript-devel-7.05-32.1.17.ppc.rpm
hpijs-1.3-32.1.17.ppc.rpm

s390:
ghostscript-7.05-32.1.17.s390.rpm
ghostscript-debuginfo-7.05-32.1.17.s390.rpm
ghostscript-devel-7.05-32.1.17.s390.rpm
hpijs-1.3-32.1.17.s390.rpm

s390x:
ghostscript-7.05-32.1.17.s390.rpm
ghostscript-7.05-32.1.17.s390x.rpm
ghostscript-debuginfo-7.05-32.1.17.s390.rpm
ghostscript-debuginfo-7.05-32.1.17.s390x.rpm
ghostscript-devel-7.05-32.1.17.s390x.rpm
hpijs-1.3-32.1.17.s390x.rpm

x86_64:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-7.05-32.1.17.x86_64.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.x86_64.rpm
ghostscript-devel-7.05-32.1.17.x86_64.rpm
hpijs-1.3-32.1.17.x86_64.rpm

Red Hat Desktop version 3:

Source:
ftp://updates.redhat.com/enterprise/3desktop/en/os/SRPMS/ghostscript-7.05-32.1.17.src.rpm

i386:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-devel-7.05-32.1.17.i386.rpm
hpijs-1.3-32.1.17.i386.rpm

x86_64:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-7.05-32.1.17.x86_64.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.x86_64.rpm
ghostscript-devel-7.05-32.1.17.x86_64.rpm
hpijs-1.3-32.1.17.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

Source:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/ghostscript-7.05-32.1.17.src.rpm

i386:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-devel-7.05-32.1.17.i386.rpm
hpijs-1.3-32.1.17.i386.rpm

ia64:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-7.05-32.1.17.ia64.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.ia64.rpm
ghostscript-devel-7.05-32.1.17.ia64.rpm
hpijs-1.3-32.1.17.ia64.rpm

x86_64:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-7.05-32.1.17.x86_64.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.x86_64.rpm
ghostscript-devel-7.05-32.1.17.x86_64.rpm
hpijs-1.3-32.1.17.x86_64.rpm

Red Hat Enterprise Linux WS version 3:

Source:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/ghostscript-7.05-32.1.17.src.rpm

i386:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-devel-7.05-32.1.17.i386.rpm
hpijs-1.3-32.1.17.i386.rpm

ia64:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-7.05-32.1.17.ia64.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.ia64.rpm
ghostscript-devel-7.05-32.1.17.ia64.rpm
hpijs-1.3-32.1.17.ia64.rpm

x86_64:
ghostscript-7.05-32.1.17.i386.rpm
ghostscript-7.05-32.1.17.x86_64.rpm
ghostscript-debuginfo-7.05-32.1.17.i386.rpm
ghostscript-debuginfo-7.05-32.1.17.x86_64.rpm
ghostscript-devel-7.05-32.1.17.x86_64.rpm
hpijs-1.3-32.1.17.x86_64.rpm

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/ghostscript-7.07-33.2.el4_7.5.src.rpm

i386:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-devel-7.07-33.2.el4_7.5.i386.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.i386.rpm

ia64:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-devel-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.ia64.rpm

ppc:
ghostscript-7.07-33.2.el4_7.5.ppc.rpm
ghostscript-7.07-33.2.el4_7.5.ppc64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.ppc.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.ppc64.rpm
ghostscript-devel-7.07-33.2.el4_7.5.ppc.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.ppc.rpm

s390:
ghostscript-7.07-33.2.el4_7.5.s390.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.s390.rpm
ghostscript-devel-7.07-33.2.el4_7.5.s390.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.s390.rpm

s390x:
ghostscript-7.07-33.2.el4_7.5.s390.rpm
ghostscript-7.07-33.2.el4_7.5.s390x.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.s390.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.s390x.rpm
ghostscript-devel-7.07-33.2.el4_7.5.s390x.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.s390x.rpm

x86_64:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-devel-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/ghostscript-7.07-33.2.el4_7.5.src.rpm

i386:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-devel-7.07-33.2.el4_7.5.i386.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.i386.rpm

x86_64:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-devel-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/ghostscript-7.07-33.2.el4_7.5.src.rpm

i386:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-devel-7.07-33.2.el4_7.5.i386.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.i386.rpm

ia64:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-devel-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.ia64.rpm

x86_64:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-devel-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/ghostscript-7.07-33.2.el4_7.5.src.rpm

i386:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-devel-7.07-33.2.el4_7.5.i386.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.i386.rpm

ia64:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-devel-7.07-33.2.el4_7.5.ia64.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.ia64.rpm

x86_64:
ghostscript-7.07-33.2.el4_7.5.i386.rpm
ghostscript-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-devel-7.07-33.2.el4_7.5.x86_64.rpm
ghostscript-gtk-7.07-33.2.el4_7.5.x86_64.rpm

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/ghostscript-8.15.2-9.4.el5_3.4.src.rpm

i386:
ghostscript-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-gtk-8.15.2-9.4.el5_3.4.i386.rpm

x86_64:
ghostscript-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-8.15.2-9.4.el5_3.4.x86_64.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.x86_64.rpm
ghostscript-gtk-8.15.2-9.4.el5_3.4.x86_64.rpm

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/ghostscript-8.15.2-9.4.el5_3.4.src.rpm

i386:
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.i386.rpm

x86_64:
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.x86_64.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/ghostscript-8.15.2-9.4.el5_3.4.src.rpm

i386:
ghostscript-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-gtk-8.15.2-9.4.el5_3.4.i386.rpm

ia64:
ghostscript-8.15.2-9.4.el5_3.4.ia64.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.ia64.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.ia64.rpm
ghostscript-gtk-8.15.2-9.4.el5_3.4.ia64.rpm

ppc:
ghostscript-8.15.2-9.4.el5_3.4.ppc.rpm
ghostscript-8.15.2-9.4.el5_3.4.ppc64.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.ppc.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.ppc64.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.ppc.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.ppc64.rpm
ghostscript-gtk-8.15.2-9.4.el5_3.4.ppc.rpm

s390x:
ghostscript-8.15.2-9.4.el5_3.4.s390.rpm
ghostscript-8.15.2-9.4.el5_3.4.s390x.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.s390.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.s390x.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.s390.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.s390x.rpm
ghostscript-gtk-8.15.2-9.4.el5_3.4.s390x.rpm

x86_64:
ghostscript-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-8.15.2-9.4.el5_3.4.x86_64.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-debuginfo-8.15.2-9.4.el5_3.4.x86_64.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.i386.rpm
ghostscript-devel-8.15.2-9.4.el5_3.4.x86_64.rpm
ghostscript-gtk-8.15.2-9.4.el5_3.4.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0583
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0584
http://www.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2009 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFJwm8EXlSAg2UNWIIRAjSaAKCb/pTzBf3CW4Z3ajz2GU8ZbzjAgwCgiWSN
kpZoxbKNVRKN5Pgw6l0Fc+s=
=RI13
-----END PGP SIGNATURE-----


--
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
 
Old 02-02-2012, 09:54 PM
 
Default Moderate: ghostscript security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

================================================== ===================
Red Hat Security Advisory

Synopsis: Moderate: ghostscript security update
Advisory ID: RHSA-2012:0095-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2012-0095.html
Issue date: 2012-02-02
CVE Names: CVE-2009-3743 CVE-2010-2055 CVE-2010-4054
CVE-2010-4820
================================================== ===================

1. Summary:

Updated ghostscript packages that fix multiple security issues are now
available for Red Hat Enterprise Linux 5 and 6.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

RHEL Desktop Workstation (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, s390x, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux Desktop (v. 6) - i386, x86_64
Red Hat Enterprise Linux Desktop Optional (v. 6) - i386, x86_64
Red Hat Enterprise Linux HPC Node (v. 6) - x86_64
Red Hat Enterprise Linux HPC Node Optional (v. 6) - x86_64
Red Hat Enterprise Linux Server (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 6) - i386, x86_64
Red Hat Enterprise Linux Workstation Optional (v. 6) - i386, x86_64

3. Description:

Ghostscript is a set of software that provides a PostScript interpreter, a
set of C procedures (the Ghostscript library, which implements the graphics
capabilities in the PostScript language) and an interpreter for Portable
Document Format (PDF) files.

An integer overflow flaw was found in Ghostscript's TrueType bytecode
interpreter. An attacker could create a specially-crafted PostScript or PDF
file that, when interpreted, could cause Ghostscript to crash or,
potentially, execute arbitrary code. (CVE-2009-3743)

It was found that Ghostscript always tried to read Ghostscript system
initialization files from the current working directory before checking
other directories, even if a search path that did not contain the current
working directory was specified with the "-I" option, or the "-P-" option
was used (to prevent the current working directory being searched first).
If a user ran Ghostscript in an attacker-controlled directory containing a
system initialization file, it could cause Ghostscript to execute arbitrary
PostScript code. (CVE-2010-2055)

Ghostscript included the current working directory in its library search
path by default. If a user ran Ghostscript without the "-P-" option in an
attacker-controlled directory containing a specially-crafted PostScript
library file, it could cause Ghostscript to execute arbitrary PostScript
code. With this update, Ghostscript no longer searches the current working
directory for library files by default. (CVE-2010-4820)

Note: The fix for CVE-2010-4820 could possibly break existing
configurations. To use the previous, vulnerable behavior, run Ghostscript
with the "-P" option (to always search the current working directory
first).

A flaw was found in the way Ghostscript interpreted PostScript Type 1 and
PostScript Type 2 font files. An attacker could create a specially-crafted
PostScript Type 1 or PostScript Type 2 font file that, when interpreted,
could cause Ghostscript to crash or, potentially, execute arbitrary code.
(CVE-2010-4054)

Users of Ghostscript are advised to upgrade to these updated packages,
which contain backported patches to correct these issues.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

599564 - CVE-2010-2055 ghostscript: gs_init.ps searched in current directory despite -P-
627902 - CVE-2009-3743 ghostscript: TrueType bytecode intepreter integer overflow or wraparound
646086 - CVE-2010-4054 ghostscript: glyph data access improper input validation
771853 - CVE-2010-4820 ghostscript: CWD included in the default library search path

6. Package List:

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/ghostscript-8.70-6.el5_7.6.src.rpm

i386:
ghostscript-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-gtk-8.70-6.el5_7.6.i386.rpm

x86_64:
ghostscript-8.70-6.el5_7.6.i386.rpm
ghostscript-8.70-6.el5_7.6.x86_64.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.x86_64.rpm
ghostscript-gtk-8.70-6.el5_7.6.x86_64.rpm

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/ghostscript-8.70-6.el5_7.6.src.rpm

i386:
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-devel-8.70-6.el5_7.6.i386.rpm

x86_64:
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.x86_64.rpm
ghostscript-devel-8.70-6.el5_7.6.i386.rpm
ghostscript-devel-8.70-6.el5_7.6.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/ghostscript-8.70-6.el5_7.6.src.rpm

i386:
ghostscript-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-devel-8.70-6.el5_7.6.i386.rpm
ghostscript-gtk-8.70-6.el5_7.6.i386.rpm

ia64:
ghostscript-8.70-6.el5_7.6.ia64.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.ia64.rpm
ghostscript-devel-8.70-6.el5_7.6.ia64.rpm
ghostscript-gtk-8.70-6.el5_7.6.ia64.rpm

ppc:
ghostscript-8.70-6.el5_7.6.ppc.rpm
ghostscript-8.70-6.el5_7.6.ppc64.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.ppc.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.ppc64.rpm
ghostscript-devel-8.70-6.el5_7.6.ppc.rpm
ghostscript-devel-8.70-6.el5_7.6.ppc64.rpm
ghostscript-gtk-8.70-6.el5_7.6.ppc.rpm

s390x:
ghostscript-8.70-6.el5_7.6.s390.rpm
ghostscript-8.70-6.el5_7.6.s390x.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.s390.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.s390x.rpm
ghostscript-devel-8.70-6.el5_7.6.s390.rpm
ghostscript-devel-8.70-6.el5_7.6.s390x.rpm
ghostscript-gtk-8.70-6.el5_7.6.s390x.rpm

x86_64:
ghostscript-8.70-6.el5_7.6.i386.rpm
ghostscript-8.70-6.el5_7.6.x86_64.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.x86_64.rpm
ghostscript-devel-8.70-6.el5_7.6.i386.rpm
ghostscript-devel-8.70-6.el5_7.6.x86_64.rpm
ghostscript-gtk-8.70-6.el5_7.6.x86_64.rpm

Red Hat Enterprise Linux Desktop (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm

x86_64:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-8.70-11.el6_2.6.x86_64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Desktop Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-doc-8.70-11.el6_2.6.i686.rpm
ghostscript-gtk-8.70-11.el6_2.6.i686.rpm

x86_64:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.x86_64.rpm
ghostscript-doc-8.70-11.el6_2.6.x86_64.rpm
ghostscript-gtk-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux HPC Node (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

x86_64:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-8.70-11.el6_2.6.x86_64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux HPC Node Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

x86_64:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.x86_64.rpm
ghostscript-doc-8.70-11.el6_2.6.x86_64.rpm
ghostscript-gtk-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Server (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm

ppc64:
ghostscript-8.70-11.el6_2.6.ppc.rpm
ghostscript-8.70-11.el6_2.6.ppc64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.ppc.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.ppc64.rpm

s390x:
ghostscript-8.70-11.el6_2.6.s390.rpm
ghostscript-8.70-11.el6_2.6.s390x.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.s390.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.s390x.rpm

x86_64:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-8.70-11.el6_2.6.x86_64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-doc-8.70-11.el6_2.6.i686.rpm
ghostscript-gtk-8.70-11.el6_2.6.i686.rpm

ppc64:
ghostscript-debuginfo-8.70-11.el6_2.6.ppc.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.ppc64.rpm
ghostscript-devel-8.70-11.el6_2.6.ppc.rpm
ghostscript-devel-8.70-11.el6_2.6.ppc64.rpm
ghostscript-doc-8.70-11.el6_2.6.ppc64.rpm
ghostscript-gtk-8.70-11.el6_2.6.ppc64.rpm

s390x:
ghostscript-debuginfo-8.70-11.el6_2.6.s390.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.s390x.rpm
ghostscript-devel-8.70-11.el6_2.6.s390.rpm
ghostscript-devel-8.70-11.el6_2.6.s390x.rpm
ghostscript-doc-8.70-11.el6_2.6.s390x.rpm
ghostscript-gtk-8.70-11.el6_2.6.s390x.rpm

x86_64:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.x86_64.rpm
ghostscript-doc-8.70-11.el6_2.6.x86_64.rpm
ghostscript-gtk-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm

x86_64:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-8.70-11.el6_2.6.x86_64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-doc-8.70-11.el6_2.6.i686.rpm
ghostscript-gtk-8.70-11.el6_2.6.i686.rpm

x86_64:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.x86_64.rpm
ghostscript-doc-8.70-11.el6_2.6.x86_64.rpm
ghostscript-gtk-8.70-11.el6_2.6.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2009-3743.html
https://www.redhat.com/security/data/cve/CVE-2010-2055.html
https://www.redhat.com/security/data/cve/CVE-2010-4054.html
https://www.redhat.com/security/data/cve/CVE-2010-4820.html
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD4DBQFPKxQeXlSAg2UNWIIRArqLAJYndAdU+gEQ5Ki//vi/wh7KgAtYAJ9NwToi
Ov6GX/QA+l4EOfr9Yj/1Qg==
=6sZd
-----END PGP SIGNATURE-----


--
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
 
Old 02-02-2012, 09:55 PM
 
Default Moderate: ghostscript security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

================================================== ===================
Red Hat Security Advisory

Synopsis: Moderate: ghostscript security update
Advisory ID: RHSA-2012:0096-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2012-0096.html
Issue date: 2012-02-02
CVE Names: CVE-2010-4054 CVE-2010-4820
================================================== ===================

1. Summary:

Updated ghostscript packages that fix two security issues are now available
for Red Hat Enterprise Linux 4.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Description:

Ghostscript is a set of software that provides a PostScript interpreter, a
set of C procedures (the Ghostscript library, which implements the graphics
capabilities in the PostScript language) and an interpreter for Portable
Document Format (PDF) files.

Ghostscript included the current working directory in its library search
path by default. If a user ran Ghostscript without the "-P-" option in an
attacker-controlled directory containing a specially-crafted PostScript
library file, it could cause Ghostscript to execute arbitrary PostScript
code. With this update, Ghostscript no longer searches the current working
directory for library files by default. (CVE-2010-4820)

Note: The fix for CVE-2010-4820 could possibly break existing
configurations. To use the previous, vulnerable behavior, run Ghostscript
with the "-P" option (to always search the current working directory
first).

A flaw was found in the way Ghostscript interpreted PostScript Type 1 and
PostScript Type 2 font files. An attacker could create a specially-crafted
PostScript Type 1 or PostScript Type 2 font file that, when interpreted,
could cause Ghostscript to crash or, potentially, execute arbitrary code.
(CVE-2010-4054)

Users of Ghostscript are advised to upgrade to these updated packages,
which contain backported patches to correct these issues.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

646086 - CVE-2010-4054 ghostscript: glyph data access improper input validation
771853 - CVE-2010-4820 ghostscript: CWD included in the default library search path

6. Package List:

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/ghostscript-7.07-33.13.el4.src.rpm

i386:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-devel-7.07-33.13.el4.i386.rpm
ghostscript-gtk-7.07-33.13.el4.i386.rpm

ia64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.ia64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.ia64.rpm
ghostscript-devel-7.07-33.13.el4.ia64.rpm
ghostscript-gtk-7.07-33.13.el4.ia64.rpm

ppc:
ghostscript-7.07-33.13.el4.ppc.rpm
ghostscript-7.07-33.13.el4.ppc64.rpm
ghostscript-debuginfo-7.07-33.13.el4.ppc.rpm
ghostscript-debuginfo-7.07-33.13.el4.ppc64.rpm
ghostscript-devel-7.07-33.13.el4.ppc.rpm
ghostscript-gtk-7.07-33.13.el4.ppc.rpm

s390:
ghostscript-7.07-33.13.el4.s390.rpm
ghostscript-debuginfo-7.07-33.13.el4.s390.rpm
ghostscript-devel-7.07-33.13.el4.s390.rpm
ghostscript-gtk-7.07-33.13.el4.s390.rpm

s390x:
ghostscript-7.07-33.13.el4.s390.rpm
ghostscript-7.07-33.13.el4.s390x.rpm
ghostscript-debuginfo-7.07-33.13.el4.s390.rpm
ghostscript-debuginfo-7.07-33.13.el4.s390x.rpm
ghostscript-devel-7.07-33.13.el4.s390x.rpm
ghostscript-gtk-7.07-33.13.el4.s390x.rpm

x86_64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.x86_64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.x86_64.rpm
ghostscript-devel-7.07-33.13.el4.x86_64.rpm
ghostscript-gtk-7.07-33.13.el4.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/ghostscript-7.07-33.13.el4.src.rpm

i386:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-devel-7.07-33.13.el4.i386.rpm
ghostscript-gtk-7.07-33.13.el4.i386.rpm

x86_64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.x86_64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.x86_64.rpm
ghostscript-devel-7.07-33.13.el4.x86_64.rpm
ghostscript-gtk-7.07-33.13.el4.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/ghostscript-7.07-33.13.el4.src.rpm

i386:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-devel-7.07-33.13.el4.i386.rpm
ghostscript-gtk-7.07-33.13.el4.i386.rpm

ia64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.ia64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.ia64.rpm
ghostscript-devel-7.07-33.13.el4.ia64.rpm
ghostscript-gtk-7.07-33.13.el4.ia64.rpm

x86_64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.x86_64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.x86_64.rpm
ghostscript-devel-7.07-33.13.el4.x86_64.rpm
ghostscript-gtk-7.07-33.13.el4.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/ghostscript-7.07-33.13.el4.src.rpm

i386:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-devel-7.07-33.13.el4.i386.rpm
ghostscript-gtk-7.07-33.13.el4.i386.rpm

ia64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.ia64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.ia64.rpm
ghostscript-devel-7.07-33.13.el4.ia64.rpm
ghostscript-gtk-7.07-33.13.el4.ia64.rpm

x86_64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.x86_64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.x86_64.rpm
ghostscript-devel-7.07-33.13.el4.x86_64.rpm
ghostscript-gtk-7.07-33.13.el4.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2010-4054.html
https://www.redhat.com/security/data/cve/CVE-2010-4820.html
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFPKxQ7XlSAg2UNWIIRAjNGAKCB0hy3ETmh4O6CkzSzUl UJu2ERhACdGXlu
xskQrEPGEade4HdxafmR0vs=
=zRPc
-----END PGP SIGNATURE-----


--
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
 
Old 09-11-2012, 06:35 PM
 
Default Moderate: ghostscript security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

================================================== ===================
Red Hat Security Advisory

Synopsis: Moderate: ghostscript security update
Advisory ID: RHSA-2012:1256-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2012-1256.html
Issue date: 2012-09-11
CVE Names: CVE-2012-4405
================================================== ===================

1. Summary:

Updated ghostscript packages that fix one security issue are now available
for Red Hat Enterprise Linux 5 and 6.

The Red Hat Security Response Team has rated this update as having moderate
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

2. Relevant releases/architectures:

RHEL Desktop Workstation (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, s390x, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux Desktop (v. 6) - i386, x86_64
Red Hat Enterprise Linux Desktop Optional (v. 6) - i386, x86_64
Red Hat Enterprise Linux HPC Node (v. 6) - x86_64
Red Hat Enterprise Linux HPC Node Optional (v. 6) - x86_64
Red Hat Enterprise Linux Server (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 6) - i386, x86_64
Red Hat Enterprise Linux Workstation Optional (v. 6) - i386, x86_64

3. Description:

Ghostscript is a set of software that provides a PostScript interpreter, a
set of C procedures (the Ghostscript library, which implements the graphics
capabilities in the PostScript language) and an interpreter for Portable
Document Format (PDF) files.

An integer overflow flaw, leading to a heap-based buffer overflow, was
found in Ghostscript's International Color Consortium Format library
(icclib). An attacker could create a specially-crafted PostScript or PDF
file with embedded images that would cause Ghostscript to crash or,
potentially, execute arbitrary code with the privileges of the user running
Ghostscript. (CVE-2012-4405)

Red Hat would like to thank Marc Schönefeld for reporting this issue.

Users of Ghostscript are advised to upgrade to these updated packages,
which contain a backported patch to correct this issue.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/knowledge/articles/11258

5. Bugs fixed (http://bugzilla.redhat.com/):

854227 - CVE-2012-4405 ghostscript, argyllcms: Array index error leading to heap-based bufer OOB write

6. Package List:

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/ghostscript-8.70-14.el5_8.1.src.rpm

i386:
ghostscript-8.70-14.el5_8.1.i386.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.i386.rpm
ghostscript-gtk-8.70-14.el5_8.1.i386.rpm

x86_64:
ghostscript-8.70-14.el5_8.1.i386.rpm
ghostscript-8.70-14.el5_8.1.x86_64.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.i386.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.x86_64.rpm
ghostscript-gtk-8.70-14.el5_8.1.x86_64.rpm

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/ghostscript-8.70-14.el5_8.1.src.rpm

i386:
ghostscript-debuginfo-8.70-14.el5_8.1.i386.rpm
ghostscript-devel-8.70-14.el5_8.1.i386.rpm

x86_64:
ghostscript-debuginfo-8.70-14.el5_8.1.i386.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.x86_64.rpm
ghostscript-devel-8.70-14.el5_8.1.i386.rpm
ghostscript-devel-8.70-14.el5_8.1.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/ghostscript-8.70-14.el5_8.1.src.rpm

i386:
ghostscript-8.70-14.el5_8.1.i386.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.i386.rpm
ghostscript-devel-8.70-14.el5_8.1.i386.rpm
ghostscript-gtk-8.70-14.el5_8.1.i386.rpm

ia64:
ghostscript-8.70-14.el5_8.1.ia64.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.ia64.rpm
ghostscript-devel-8.70-14.el5_8.1.ia64.rpm
ghostscript-gtk-8.70-14.el5_8.1.ia64.rpm

ppc:
ghostscript-8.70-14.el5_8.1.ppc.rpm
ghostscript-8.70-14.el5_8.1.ppc64.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.ppc.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.ppc64.rpm
ghostscript-devel-8.70-14.el5_8.1.ppc.rpm
ghostscript-devel-8.70-14.el5_8.1.ppc64.rpm
ghostscript-gtk-8.70-14.el5_8.1.ppc.rpm

s390x:
ghostscript-8.70-14.el5_8.1.s390.rpm
ghostscript-8.70-14.el5_8.1.s390x.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.s390.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.s390x.rpm
ghostscript-devel-8.70-14.el5_8.1.s390.rpm
ghostscript-devel-8.70-14.el5_8.1.s390x.rpm
ghostscript-gtk-8.70-14.el5_8.1.s390x.rpm

x86_64:
ghostscript-8.70-14.el5_8.1.i386.rpm
ghostscript-8.70-14.el5_8.1.x86_64.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.i386.rpm
ghostscript-debuginfo-8.70-14.el5_8.1.x86_64.rpm
ghostscript-devel-8.70-14.el5_8.1.i386.rpm
ghostscript-devel-8.70-14.el5_8.1.x86_64.rpm
ghostscript-gtk-8.70-14.el5_8.1.x86_64.rpm

Red Hat Enterprise Linux Desktop (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/ghostscript-8.70-14.el6_3.1.src.rpm

i386:
ghostscript-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm

x86_64:
ghostscript-8.70-14.el6_3.1.i686.rpm
ghostscript-8.70-14.el6_3.1.x86_64.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.x86_64.rpm

Red Hat Enterprise Linux Desktop Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/ghostscript-8.70-14.el6_3.1.src.rpm

i386:
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-devel-8.70-14.el6_3.1.i686.rpm
ghostscript-doc-8.70-14.el6_3.1.i686.rpm
ghostscript-gtk-8.70-14.el6_3.1.i686.rpm

x86_64:
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.x86_64.rpm
ghostscript-devel-8.70-14.el6_3.1.i686.rpm
ghostscript-devel-8.70-14.el6_3.1.x86_64.rpm
ghostscript-doc-8.70-14.el6_3.1.x86_64.rpm
ghostscript-gtk-8.70-14.el6_3.1.x86_64.rpm

Red Hat Enterprise Linux HPC Node (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/ghostscript-8.70-14.el6_3.1.src.rpm

x86_64:
ghostscript-8.70-14.el6_3.1.i686.rpm
ghostscript-8.70-14.el6_3.1.x86_64.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.x86_64.rpm

Red Hat Enterprise Linux HPC Node Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/ghostscript-8.70-14.el6_3.1.src.rpm

x86_64:
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.x86_64.rpm
ghostscript-devel-8.70-14.el6_3.1.i686.rpm
ghostscript-devel-8.70-14.el6_3.1.x86_64.rpm
ghostscript-doc-8.70-14.el6_3.1.x86_64.rpm
ghostscript-gtk-8.70-14.el6_3.1.x86_64.rpm

Red Hat Enterprise Linux Server (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/ghostscript-8.70-14.el6_3.1.src.rpm

i386:
ghostscript-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm

ppc64:
ghostscript-8.70-14.el6_3.1.ppc.rpm
ghostscript-8.70-14.el6_3.1.ppc64.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.ppc.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.ppc64.rpm

s390x:
ghostscript-8.70-14.el6_3.1.s390.rpm
ghostscript-8.70-14.el6_3.1.s390x.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.s390.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.s390x.rpm

x86_64:
ghostscript-8.70-14.el6_3.1.i686.rpm
ghostscript-8.70-14.el6_3.1.x86_64.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/ghostscript-8.70-14.el6_3.1.src.rpm

i386:
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-devel-8.70-14.el6_3.1.i686.rpm
ghostscript-doc-8.70-14.el6_3.1.i686.rpm
ghostscript-gtk-8.70-14.el6_3.1.i686.rpm

ppc64:
ghostscript-debuginfo-8.70-14.el6_3.1.ppc.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.ppc64.rpm
ghostscript-devel-8.70-14.el6_3.1.ppc.rpm
ghostscript-devel-8.70-14.el6_3.1.ppc64.rpm
ghostscript-doc-8.70-14.el6_3.1.ppc64.rpm
ghostscript-gtk-8.70-14.el6_3.1.ppc64.rpm

s390x:
ghostscript-debuginfo-8.70-14.el6_3.1.s390.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.s390x.rpm
ghostscript-devel-8.70-14.el6_3.1.s390.rpm
ghostscript-devel-8.70-14.el6_3.1.s390x.rpm
ghostscript-doc-8.70-14.el6_3.1.s390x.rpm
ghostscript-gtk-8.70-14.el6_3.1.s390x.rpm

x86_64:
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.x86_64.rpm
ghostscript-devel-8.70-14.el6_3.1.i686.rpm
ghostscript-devel-8.70-14.el6_3.1.x86_64.rpm
ghostscript-doc-8.70-14.el6_3.1.x86_64.rpm
ghostscript-gtk-8.70-14.el6_3.1.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/ghostscript-8.70-14.el6_3.1.src.rpm

i386:
ghostscript-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm

x86_64:
ghostscript-8.70-14.el6_3.1.i686.rpm
ghostscript-8.70-14.el6_3.1.x86_64.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/ghostscript-8.70-14.el6_3.1.src.rpm

i386:
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-devel-8.70-14.el6_3.1.i686.rpm
ghostscript-doc-8.70-14.el6_3.1.i686.rpm
ghostscript-gtk-8.70-14.el6_3.1.i686.rpm

x86_64:
ghostscript-debuginfo-8.70-14.el6_3.1.i686.rpm
ghostscript-debuginfo-8.70-14.el6_3.1.x86_64.rpm
ghostscript-devel-8.70-14.el6_3.1.i686.rpm
ghostscript-devel-8.70-14.el6_3.1.x86_64.rpm
ghostscript-doc-8.70-14.el6_3.1.x86_64.rpm
ghostscript-gtk-8.70-14.el6_3.1.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2012-4405.html
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFQT4RNXlSAg2UNWIIRAplCAKCrOf6bZMNj0/y5BSrDRRKkNgfPzQCgiWTW
YIvqPdz/+NfvLxJ1XBSfbVg=
=oBif
-----END PGP SIGNATURE-----


--
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
 

Thread Tools




All times are GMT. The time now is 12:04 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org